GET /tracking/link/stats/timeseries
GETtracking/link/stats/timeseries
Returns link logs count grouped by date. When group parameter is provided, data is also grouped by the specified field.
Query Parameters
period_from string Required
example 2021-07-06T00:00:00.000Z
period_to string Required
example 2021-07-06T00:00:00.000Z
group string
Groups link tracking results by the specified field. When provided, each result entry will include the group field value with the count
campaign_id string
Filter by campaign identifier (letters, numbers, dashes, or underscores)
subscriber_id string
Filter by subscriber identifier (letters, numbers, dashes, underscores, dots, or email addresses)
profile_id string
Filter results by profile identifier
Returns
- dataarray
- datestringDate in YYYY-MM-DD format
- campaign_idstringCampaign identifier (only when group=campaign_id)
- subscriber_idstringSubscriber identifier (only when group=subscriber_id)
- devicestringDevice type or model (only when group=device)
- countrystringCountry code (ISO) (only when group=country)
- ipstringClient IP address (only when group=ip)
- browserstringBrowser name and version (only when group=browser)
- custom_link_titlestringCustom link title (only when group=custom_link_title)
- params_namestringParameter name (only when group=params)
- params_valuestringParameter value (only when group=params)
- countintegerNumber of link clicks on this date
- datestring
400 Bad Request
Bad Request
401 Unauthorized
Unauthorized
403 Forbidden
Forbidden
500 Internal Server Error
Internal server error